Bug 446625 - manpage update for job specifications
manpage update for job specifications
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bash (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Roman Rakus
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 09:17 EDT by Adam Stokes
Modified: 2014-01-12 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:10:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
manpage update to describe job (419 bytes, patch)
2008-05-15 09:17 EDT, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-05-15 09:17:47 EDT
Description of problem:
In normal case, the job specification %- means the previous job. It's written in
the manual of bash. But, if there is only the current job, it seems that the job
specification %- means the current job according the actual behavior. But, the
behavior is not in the manual of bash.

Version-Release number of selected component (if applicable):
bash-3.1-16.1

How reproducible:
100%

Steps to Reproduce:
Step 1:  Execute man man on background.
   Step 2:  Check the status and flag of current job using with jobs command.
   Step 3:  Specify jobspec "%-" that actually not exist.
      * The result should be failed but did not failed.
  
   # man man &
   [1] 18709
   # jobs
   [1]+  Stopped                 man man
   # fg %-
   man man
  
Actual results:
Description in man page is different from actual operation. 

Expected results:
The man page describes the exceptional information.

Additional info:
Comment 1 Adam Stokes 2008-05-15 09:17:48 EDT
Created attachment 305485 [details]
manpage update to describe job
Comment 2 RHEL Product and Program Management 2008-06-02 15:59:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 16:10:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0116.html

Note You need to log in before you can comment on or make changes to this bug.